----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    14:56:40 09/05/2016 
-- Design Name: 
-- Module Name:    clock - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity clock is
	 generic ( M_clk : integer);
    Port ( clk100mhz : in  STD_LOGIC;
           clk_disp : out  STD_LOGIC);
end clock;

architecture Behavioral of clock is

signal fast_clk : std_logic := '0';
signal fast_count: integer range 0 to M_clk := 0;

begin

	clock: process (clk100mhz)
	begin
		if (rising_edge(clk100mhz)) then -- generate SSD's refresh clock signal
			if (fast_count < M_clk) then
				fast_count <= fast_count+1;
			elsif (fast_count = M_clk) then
				fast_count <= 0;
				fast_clk <= not (fast_clk);
			end if;
		end if;
	end process clock;

clk_disp<= fast_clk;

end Behavioral;

