----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    17:40:57 09/05/2016 
-- Design Name: 
-- Module Name:    ssd - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity ssd is
    Port ( clk100mhz : in  STD_LOGIC;
           bcd : in  STD_LOGIC_VECTOR (3 downto 0);
           segment : out  STD_LOGIC_VECTOR (6 downto 0));
end ssd;

architecture Behavioral of ssd is

begin
	ssd_control: process (clk100mhz)
	begin
		if (rising_edge(clk100mhz)) then
			case bcd is
			when "0000" => segment <= "0000001";-- set the SSD's outputs to display sought number
			when "0001" => segment <= "1001111";
			when "0010" => segment <= "0010010";
			when "0011" => segment <= "0000110";
			when "0100" => segment <= "1001100";
			when "0101" => segment <= "0100100";
			when "0110" => segment <= "0100000";
			when "0111" => segment <= "0001111";
			when "1000" => segment <= "0000000";
			when "1001" => segment <= "0000100";
			when others => segment <= "1111111";
			end case;
		end if;
	end process ssd_control;


end Behavioral;

